| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactSubscriptionMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, ContactSubscriptions >.

## Public Member Functions

| ContactSubscriptionMap ()
| ContactSubscriptionMap (const QMap< uint, ContactSubscriptions > &a)
ContactSubscriptionMap & | operator= (const QMap< uint, ContactSubscriptions > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, ContactSubscriptions>, but needed to have a discrete type in the Qt type system.

A map from contacts to their subscribe, publish and publish-request attributes.

## Constructor & Destructor Documentation

Tp::ContactSubscriptionMap::ContactSubscriptionMap | ( |  | ) |

inline

Tp::ContactSubscriptionMap::ContactSubscriptionMap | ( | const QMap< uint, ContactSubscriptions > & | a | ) |

inline

## Member Function Documentation

ContactSubscriptionMap& Tp::ContactSubscriptionMap::operator= | ( | const QMap< uint, ContactSubscriptions > & | a | ) |

inline